// Archivo: Elecciones.Core/DTOs/VotosPositivosDto.cs
using System.Text.Json.Serialization;

namespace Elecciones.Core.DTOs;

public class VotosPositivosDto
{
    [JsonPropertyName("idAgrupacion")]
    public string IdAgrupacion { get; set; } = null!;

    [JsonPropertyName("nombreAgrupacion")]
    public string NombreAgrupacion { get; set; } = null!;
    
    [JsonPropertyName("idAgrupacionTelegrama")]
    public string? IdAgrupacionTelegrama { get; set; }

    [JsonPropertyName("votos")]
    public long Votos { get; set; }
    
    [JsonPropertyName("votosPorcentaje")]
    public decimal VotosPorcentaje { get; set; }
}